Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
mceies.h File Reference
`#include <botan/secmem.h>`
`#include <botan/rng.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
secure_vector< uint8_t > | Botan::mceies_decrypt (const McEliece_PrivateKey &privkey, const uint8_t ct[], size_t ct_len, const uint8_t ad[], size_t ad_len, const std::string &algo)
secure_vector< uint8_t > | Botan::mceies_encrypt (const McEliece_PublicKey &pubkey, const uint8_t pt[], size_t pt_len, const uint8_t ad[], size_t ad_len, RandomNumberGenerator &rng, const std::string &algo)